Get Root

  • GET
  • /workspaces
  • /:workspace
  • /artifacts
  • /:artifact_id
  • /versions
  • /:version_id
  • /content

Get artifact version root content

Request

REQUIRED SCOPES
ARTIFACT_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

artifact_idrequiredstring
The Artifact ID

Example: "x5169jL2"

version_idrequiredstring
The Version ID

Example: "a9f84k2L"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
contentsArtifactVersionContentItem[]
Array of content items. Contains one element when requesting a specific file, multiple elements when requesting a directory.

Last modified on Jun 29, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_id/versions/:version_id/content" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2/versions/a9f84k2L/content", "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions/a9f84k2L/content", "contents": [ { "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2/versions/a9f84k2L/content?path=README.md", "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions/a9f84k2L/content/README.md", "type": "FILE", "name": "README.md", "path": "/dir/README.md", "size": 2048 }, { "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2/versions/a9f84k2L/content?path=src", "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions/a9f84k2L/content/src", "type": "DIR", "name": "src", "path": "/dir/src" } ] }
STATUS
200 OK